## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

## plr 8.4.5

=== Makefile ===
# location of R library

ifdef R_HOME
r_libdir1x = ${R_HOME}/bin${R_ARCH}
r_libdir2x = ${R_HOME}/lib${R_ARCH}
# location of R includes
r_includespec = -I${R_HOME}/include
rhomedef = ${R_HOME}
else
R_HOME := $(shell pkg-config --variable=rhome libR)
r_libdir1x := $(shell pkg-config --variable=rlibdir libR)
r_libdir2x := $(shell pkg-config --variable=rlibdir libR)
r_includespec := $(shell pkg-config --cflags-only-I libR)
rhomedef := $(shell pkg-config --variable=rhome libR)
endif

ifneq (,${R_HOME})

EXTENSION	= plr
MODULE_big	= plr
PG_CPPFLAGS	+= $(r_includespec)
SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
OBJS		:= $(SRCS:.c=.o)
SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
DATA		= plr--8.4.5.sql plr--unpackaged--8.4.5.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql		
REGRESS		= plr bad_fun opt_window do out_args plr_transaction opt_window_frame

ifdef USE_PGXS
ifndef PG_CONFIG
PG_CONFIG := pg_config
endif
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/plr
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq ($(PORTNAME), darwin)
	DYSUFFIX = dylib
	DLPREFIX = libR
else
	ifeq ($(PORTNAME), win32)
		DLPREFIX = R
	else
		DLPREFIX = libR
	endif
endif

# we can only build PL/R if libR is available
# Since there is no official way to determine this,
# we see if there is a file that is named like a shared library.
ifneq ($(PORTNAME), darwin)
	ifneq (,$(wildcard $(r_libdir1x)/$(DLPREFIX)*$(DLSUFFIX)*)$(wildcard $(r_libdir2x)/$(DLPREFIX)*$(DLSUFFIX)*))
		shared_libr = yes;
	endif
else
	ifneq (,$(wildcard $(r_libdir1x)/$(DLPREFIX)*$(DYSUFFIX)*)$(wildcard $(r_libdir2x)/$(DLPREFIX)*$(DYSUFFIX)*))
		shared_libr = yes
	endif
endif

# If we don't have a shared library and the platform doesn't allow it
# to work without, we have to skip it.
ifneq (,$(findstring yes, $(shared_libr)$(allow_nonpic_in_shlib)))

override CPPFLAGS := -I"$(srcdir)" -I"$(r_includespec)" $(CPPFLAGS)
override CPPFLAGS += -DPKGLIBDIR=\"$(pkglibdir)\" -DDLSUFFIX=\"$(DLSUFFIX)\"
override CPPFLAGS += -DR_HOME_DEFAULT=\"$(rhomedef)\"

else # can't build

all:
	@echo ""; \
	 echo "*** Cannot build PL/R because libR is not a shared library." ; \
	 echo "*** You might have to rebuild your R installation.  Refer to"; \
	 echo "*** the documentation for details."; \
	 echo ""

endif # can't build - cannot find libR

else  # can't build - no R_HOME

all:
	@echo ""; \
	 echo "*** Cannot build PL/R because R_HOME cannot be found." ; \
	 echo "*** Refer to the documentation for details."; \
	 echo ""

endif

=== debian/changelog ===
plr (1:8.4.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:31:45 +0200

=== debian/control ===
Source: plr
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), pkg-config,
 postgresql-server-dev-all (>= 219~), r-base-core,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/postgres-plr/plr
Vcs-Browser: https://salsa.debian.org/postgresql/plr
Vcs-Git: https://salsa.debian.org/postgresql/plr.git

Package: postgresql-15-plr
Architecture: any
Depends: r-base-core (>= 2.10), postgresql-15, ${shlibs:Depends}, ${misc:Depends}
Suggests: r-recommended
Provides: postgresql-plr
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

=== debian/tests/control ===
Depends: @, make, pkg-config
Tests: installcheck
Restrictions: allow-stderr

## plr 8.4.6

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,8 @@
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
-DATA		= plr--8.4.5.sql plr--unpackaged--8.4.5.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
-plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql		
+DATA		= plr--8.4.6.sql plr--unpackaged--8.4.6.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
+plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql plr--8.4.5--8.4.6.sql
 REGRESS		= plr bad_fun opt_window do out_args plr_transaction opt_window_frame
 
 ifdef USE_PGXS

=== debian/changelog ===
plr (1:8.4.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:59:38 +0000

plr (1:8.4.6-1) unstable; urgency=medium

  * New upstream version 8.4.6 with PG16 support.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Aug 2023 15:06:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config,
  postgresql-server-dev-all (>= 219~), r-base-core,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/postgres-plr/plr
 Vcs-Browser: https://salsa.debian.org/postgresql/plr
 Vcs-Git: https://salsa.debian.org/postgresql/plr.git
 
-Package: postgresql-15-plr
+Package: postgresql-16-plr
 Architecture: any
-Depends: r-base-core (>= 2.10), postgresql-15, ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.10), ${postgresql:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-recommended
 Provides: postgresql-plr
 Description: Procedural language interface between PostgreSQL and R

## plr 8.4.7

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,8 @@
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
-DATA		= plr--8.4.6.sql plr--unpackaged--8.4.6.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
-plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql plr--8.4.5--8.4.6.sql
+DATA		= plr--8.4.7.sql plr--unpackaged--8.4.7.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
+plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql plr--8.4.5--8.4.6.sql plr--8.4.6--8.4.7.sql
 REGRESS		= plr bad_fun opt_window do out_args plr_transaction opt_window_frame
 
 ifdef USE_PGXS

=== debian/changelog ===
plr (1:8.4.7-3.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 23 Apr 2025 09:59:59 +0000

plr (1:8.4.7-3) unstable; urgency=medium

  * Support PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Wed, 23 Apr 2025 09:59:59 +0000

plr (1:8.4.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 21:22:32 +0000

plr (1:8.4.7-1) unstable; urgency=medium

  * New upstream version 8.4.7.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2024 18:21:59 +0200

=== debian/control ===
Source: plr
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 pkgconf,
 postgresql-server-dev-all (>= 219~),
 r-base-core,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/postgres-plr/plr
Vcs-Browser: https://salsa.debian.org/postgresql/plr
Vcs-Git: https://salsa.debian.org/postgresql/plr.git

Package: postgresql-11-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

Package: postgresql-12-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

Package: postgresql-13-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

Package: postgresql-14-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

Package: postgresql-15-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

Package: postgresql-16-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

Package: postgresql-17-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

## plr 8.4.8

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,9 @@
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
-DATA		= plr--8.4.7.sql plr--unpackaged--8.4.7.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
-plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql plr--8.4.5--8.4.6.sql plr--8.4.6--8.4.7.sql
+DATA		= plr--8.4.8.sql plr--unpackaged--8.4.8.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
+plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql plr--8.4.5--8.4.6.sql plr--8.4.6--8.4.7.sql \
+plr--8.4.7--8.4.8.sql
 REGRESS		= plr bad_fun opt_window do out_args plr_transaction opt_window_frame
 
 ifdef USE_PGXS

=== debian/changelog ===
plr (1:8.4.8-1) experimental; urgency=medium

  * New upstream version 8.4.8.

 -- Christoph Berg <myon@debian.org>  Mon, 19 May 2025 12:11:40 +0000

=== debian/control ===
Source: plr
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 pkgconf,
 postgresql-server-dev-all (>= 219~),
 r-base-core,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/postgres-plr/plr
Vcs-Browser: https://salsa.debian.org/postgresql/plr
Vcs-Git: https://salsa.debian.org/postgresql/plr.git

Package: postgresql-17-plr
Architecture: any
Depends:
 r-base-core (>= 2.10),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 r-recommended,
Provides:
 postgresql-plr,
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

=== debian/tests/control ===
Depends:
 make,
 pkg-config,
 @,
Tests: installcheck
Restrictions: allow-stderr

## plr 8.4.8.1

=== Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
-DATA		= plr--8.4.8.sql plr--unpackaged--8.4.8.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
+DATA		= plr--8.4.8.1.sql plr--unpackaged--8.4.8.1.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
 plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql plr--8.4.5--8.4.6.sql plr--8.4.6--8.4.7.sql \
-plr--8.4.7--8.4.8.sql
+plr--8.4.7--8.4.8.sql plr--8.4.8--8.4.8.1.sql
 REGRESS		= plr bad_fun opt_window do out_args plr_transaction opt_window_frame
 
 ifdef USE_PGXS

=== debian/changelog ===
plr (1:8.4.8.1-1) unstable; urgency=medium

  * New upstream version 8.4.8.1.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Oct 2025 18:23:05 +0000

plr (1:8.4.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117318)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 12:17:56 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  pkgconf,
  postgresql-server-dev-all (>= 219~),
  r-base-core,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/postgres-plr/plr
 Vcs-Browser: https://salsa.debian.org/postgresql/plr
 Vcs-Git: https://salsa.debian.org/postgresql/plr.git
 
-Package: postgresql-17-plr
+Package: postgresql-18-plr
 Architecture: any
 Depends:
  r-base-core (>= 2.10),
@@ -27,6 +26,8 @@
  r-recommended,
 Provides:
  postgresql-plr,
+Breaks:
+ ${postgresql:Breaks},
 Description: Procedural language interface between PostgreSQL and R
  R is a language and environment for statistical computing and graphics,
  providing a wide variety of statistical and graphical techniques (linear and

=== debian/tests/control ===
Depends:
 pkg-config,
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

## plr 8.4.8.2

=== Makefile ===
--- 
+++ 
@@ -22,10 +22,10 @@
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
-DATA		= plr--8.4.8.1.sql plr--unpackaged--8.4.8.1.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
+DATA		= plr--8.4.8.2.sql plr--unpackaged--8.4.8.2.sql plr--8.3.0.18--8.4.sql plr--8.4.1--8.4.2.sql  plr--8.4.3--8.4.4.sql \
 plr--8.4--8.4.1.sql plr--8.4.2--8.4.3.sql plr--8.4.4--8.4.5.sql plr--8.4.5--8.4.6.sql plr--8.4.6--8.4.7.sql \
-plr--8.4.7--8.4.8.sql plr--8.4.8--8.4.8.1.sql
-REGRESS		= plr bad_fun opt_window do out_args plr_transaction opt_window_frame
+plr--8.4.7--8.4.8.sql plr--8.4.8--8.4.8.1.sql plr--8.4.8.1--8.4.8.2.sql
+REGRESS		= plr bad_fun opt_window do out_args plr_transaction opt_window_frame parallel
 
 ifdef USE_PGXS
 ifndef PG_CONFIG

=== debian/changelog ===
plr (1:8.4.8.2-1ubuntu1) resolute; urgency=medium

  * d/t/control: skip DEP8 tests for s390x (LP 2138343)

 -- Athos Ribeiro <athos@ubuntu.com>  Tue, 13 Jan 2026 23:14:41 -0300

plr (1:8.4.8.2-1) unstable; urgency=medium

  * New upstream version 8.4.8.2.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Nov 2025 16:18:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plr
 Priority: optional
 Section: database
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
  installcheck,
 Restrictions:
  allow-stderr,
+Architecture: !s390x
